Bug 1007440 - /usr/bin/engine-backup not working for EL6 [NEEDINFO]
/usr/bin/engine-backup not working for EL6
Status: CLOSED UPSTREAM
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.3
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Ofer Schreiber
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 09:39 EDT by Hans-Joachim
Modified: 2013-09-16 03:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 03:43:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oschreib: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Hans-Joachim 2013-09-12 09:39:31 EDT
Description of problem:
1.) script asks for dbonly as scope, but in the helptext is mentioned db
2.) md5sum for EL6 does not support --strict 

Version-Release number of selected component (if applicable):
3.3.0-2.el6.

How reproducible:
always when trying a restore

Steps to Reproduce:
1.) engine-backup --mode=restore --scope=db --file=ovirt.db --log=log
2.) engine-backup --mode=restore --scope=dbonly --file=ovirt.db --log=log


Actual results:
1.) FATAL: invalid scope 'db'
2.) md5sum: unknown Option »--strict«

Expected results:
restoring the database

Additional question:
Shouldn't be the database droped before restoring??
Comment 1 Ofer Schreiber 2013-09-16 03:43:54 EDT
This bug has already been fixed, and will be included in the next ovirt-engine release (3.3.1)

Note You need to log in before you can comment on or make changes to this bug.